#!/usr/bin/env ansible-playbook
---
# THIS FILE SHOULD BE UPDATED TO NEW INFRA AND THE MERGED TO plays/

# Deploy services config on all servers
- hosts: server
  vars:
    re2o:
      server: re2o.adm.crans.org
      service_user: "{{ vault.re2o_service_user }}"
      service_password: "{{ vault.re2o_service_password }}"
    mail_server: smtp.adm.crans.org
  roles:
    - re2o-services

# Deploy re2o dns service on dns server
- hosts: silice.adm.crans.org
  roles:
    - re2o-dns

# Deploy re2o notif-users service on zamok
- hosts: zamok.adm.crans.org
  roles:
    - re2o-notif-users

# Deploy re2o firewall on servers
- hosts: zamok.adm.crans.org
  roles:
    - re2o-firewall

# Re2o firewall specific configuration for ipv6-zayo
- hosts: ipv6-zayo.adm.crans.org
  roles:
    - re2o-firewall-ipv6-zayo

# Re2o firewall specific configuration for zamok
- hosts: zamok.adm.crans.org
  roles:
    - re2o-firewall-zamok

# Deploy re2o mail-server on MTA and MDA
- hosts: titanic.adm.crans.org,sputnik.adm.crans.org
  roles:
    - re2o-mail-server
